
<script>
import { getStatusBar } from '@/utils/index';
export default {
	onLaunch: function() {
		console.log('App Launch')
		getStatusBar();
	},
	onShow: function() {
		console.log('App Show')
	},
	onHide: function() {
		console.log('App Hide')
	},
	methods: {
		getPhoneNumber: function({ params, success, fail }) {
			const { iv, encryptedData } = params;
			tt.login({
				force:true,
				success(lres){
					tt.request({
						url:"https://tran.jsshuita.cn/dy/home/mobile",
						data:{iv:iv,encryptedData:encryptedData,code:lres.code},
						method:"POST",
						success(res){
							var resp = res.data;
							if (resp.code == 0) return ;
							success({ phoneNumber: resp.data.mobile })
						},
						fail(res){
	
						}
					})
				},
				fail(res){
	
				}
			})
		},
	}
}
</script>

<style>
.skeleton-line{
	background: linear-gradient(90deg, #f1f2f4 25%, #e6e6e6 37%, #f1f2f4 50%);
	background-size: 400% 100%;
	border-radius: 3px;
	min-height: 30upx;
	height: 100%;
	width: 100%;
}
.mt15{margin-top: 15rpx;}
.skeleton-line.short{
	width: 60%;
}
.skeleton-line.max{
	height: 80upx;
}
.animate {
	animation: skeleton 1.8s ease infinite
}
.empty-body{display: flex;align-items: center;justify-content: center;flex-direction: column;height: 40vh;}
.empty-body .img{text-align: center;font-size: 28upx;color: #666;}
.empty-body .img image{height: 160upx;width: 160upx;}
.empty-body .img .tip{margin-top: 20upx;}
.empty-body .re-btn{width: 180upx;height: 80upx;line-height: 80upx;text-align: center;font-size: 28upx;color: #fff;background-color: #007aff;border-radius: 10upx;margin-top: 60upx;}
@keyframes skeleton {
	0% {
		background-position: 100% 50%
	}

	100% {
		background-position: 0 50%
	}
}
</style>
